### Method

# Gdk ContentProvider get_value

#### Declaration [src]

    gboolean
    gdk_content_provider_get_value (
      GdkContentProvider* provider,
      GValue* value,
      GError** error
    )

#### Description [src]

Gets the contents of `provider` stored in `value`.

The `value` will have been initialized to the `GType` the value should be provided in. This given `GType` does not need to be listed in the formats returned by `gdk_content_provider_ref_formats()`. However, if the given `GType` is not supported, this operation can fail and `G_IO_ERROR_NOT_SUPPORTED` will be reported.

#### Parameters

`value`

  Type: `GValue`

  The `GValue` to fill.

  The argument will be set by the function.
  The data is owned by the instance.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the value was set successfully. Otherwise `error` will be set to describe the failure.